from queue_sqlite.model import MessageItem


class TestMessageItem:
    messageItem = MessageItem(content={"num": 1}, destination="test")
    
    @classmethod
    def test_to_dict(cls):
        print(cls.messageItem.to_dict())

    @classmethod
    def test_to_json(cls):
        print(cls.messageItem.to_json())

    @classmethod
    def test_from_dict(cls):
        messageItem = MessageItem.from_dict(cls.messageItem.to_dict())
        print(messageItem.to_dict())